<?php

namespace App\Enums;

enum PeopleMessageActions: int
{
    case ADAM_NIAZ_BE_SABT_MOSHKEL_RAH = 1;
    case ADAM_NIAZ_BE_SABT_MOSHKEL_HAML_NAGHL = 2;
    case ADAM_NIAZ_BE_SABT_MOSHKEL_AVAREZI = 3;
    case SABT_SAVANEH_MOSHKEL_RAH = 4;
    case SABT_SAVANEH_MOSHKEL_HAML_NAGHL = 5;

    public static function name(int $state): string
    {
        $mapArray = [
            1 => 'عدم نیاز به ثبت (مشکل راه)',
            2 => 'عدم نیاز به ثبت (مشکل حمل و نقلی)',
            3 => 'عدم نیاز به ثبت (مشکل عوارضی)',
            4 => 'ثبت سوانح (مشکل راه)',
            5 => 'ثبت سوانح (مشکل حمل و نقلی)',
        ];

        return $mapArray[$state];
    }
}
